<?php

namespace Drupal\basket;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Class BasketServiceProvider.
 */
class BasketServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $definition = $container->getDefinition('module_handler');
    $definition->setClass(ModuleHandler::class);
  }

}
